if [ "$1" = "" ]; then
    read
fi
if [ "$2" = "" ]; then
    read
fi
if [ ! -f "$1" ]; then
    read
fi
echo "Running validator"
wine files/towin.exe "$1" | wine files/solving_validator.exe
if [ "$?" -ne "0" ]; then
    read
fi
cp $1 solving.in
echo "Running solution solving_ka.dpr"
wine solutions/solving_ka.exe
if [ "$?" -ne "0" ]; then
    echo "Solution returned non-zero exit code"
    read
fi
rm -f solving.in
if [ ! -f "solving.out" ]; then
    echo "Solution didn't produced output [solving.out]"
    read
fi
mv "solving.out" "$2"
echo "Running checker"
wine check.exe $1 $2 $2
if [ "$?" -ne "0" ]; then
    echo "Checker returned non-zero exit code"
    read
fi
